Accept a team invitation and set up your account
curl --request POST \
--url https://api.example.com/api/v1/teams/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "abc123def456...",
"first_name": "Jane",
"last_name": "Doe",
"password": "Password123!"
}
'import requests
url = "https://api.example.com/api/v1/teams/accept"
payload = {
"token": "abc123def456...",
"first_name": "Jane",
"last_name": "Doe",
"password": "Password123!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: 'abc123def456...',
first_name: 'Jane',
last_name: 'Doe',
password: 'Password123!'
})
};
fetch('https://api.example.com/api/v1/teams/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Teams
Accept a team invitation and set up your account
POST
/
api
/
v1
/
teams
/
accept
Accept a team invitation and set up your account
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Invitation token from the email link
Example:
"abc123def456..."
First name
Example:
"Jane"
Last name
Example:
"Doe"
User password — min 8 characters, must include at least one uppercase letter, one number, and one special character
Minimum string length:
8Example:
"Password123!"
Response
Invitation accepted successfully.